nl.tudelft.simulation.examples.dsol.mm1queue

## Class Seize

- java.lang.Object
- - nl.tudelft.simulation.event.EventProducer
  - - nl.tudelft.simulation.dsol.formalisms.flow.Station<A,R,T>
    - - nl.tudelft.simulation.dsol.formalisms.flow.Seize<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>
      - - nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeDouble
        - - nl.tudelft.simulation.examples.dsol.mm1queue.Seize

All Implemented Interfaces:
  Serializable, nl.tudelft.simulation.dsol.formalisms.flow.StationInterface, nl.tudelft.simulation.dsol.formalisms.ResourceRequestorInterface<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>, nl.tudelft.simulation.event.EventProducerInterface

    public class Seize
    extends nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeDouble

The Seize is an extended Seize block whic sets delay times on arriving customers.
Copyright (c) 2003-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Seize

`nl.tudelft.simulation.dsol.formalisms.flow.Seize.CalendarDouble, nl.tudelft.simulation.dsol.formalisms.flow.Seize.CalendarFloat, nl.tudelft.simulation.dsol.formalisms.flow.Seize.CalendarLong, nl.tudelft.simulation.dsol.formalisms.flow.Seize.Request<A extends Comparable<A>,R extends Number & Comparable<R>,T extends nl.tudelft.simulation.dsol.simtime.SimTime<A,R,T>>, nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeDouble, nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeDoubleUnit, nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeFloat, nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeFloatUnit, nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeLong`

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Seize

`DELAY_TIME, QUEUE_LENGTH_EVENT`

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station

`destination, simulator`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface

`RECEIVE_EVENT, RELEASE_EVENT`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Constructor Summary

Constructors
Constructor and Description
`Seize(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator, nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> resource)` constructs a new Seize.
`Seize(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator, nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> resource, double requestedCapacity)` constructs a new Seize.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `receiveObject(Object object)`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Seize

`getQueue, receiveObject, receiveRequestedResource, setQueue`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station

`getDestination, releaseObject, setDestination`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`addListener, addListener, addListener, addListener, removeListener`

### Constructor Detail

#### Seize

    public Seize(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator,
                 nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> resource)

constructs a new Seize.

Parameters:
  `simulator` - the devs simulator on which to schedule
  `resource` - the resource to claim

#### Seize

    public Seize(nl.tudelft.simulation.dsol.simulators.DEVSSimulatorInterface.TimeDouble simulator,
                 nl.tudelft.simulation.dsol.formalisms.Resource<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble> resource,
                 double requestedCapacity)

constructs a new Seize.

Parameters:
  `simulator` - the devs simulator on which to schedule
  `resource` - the resource to claim
  `requestedCapacity` - the amount to claim

### Method Detail

#### receiveObject

    public final void receiveObject(Object object)

Specified by:
  `receiveObject` in interface `nl.tudelft.simulation.dsol.formalisms.flow.StationInterface`
Overrides:
  `receiveObject` in class `nl.tudelft.simulation.dsol.formalisms.flow.Seize<Double,Double,nl.tudelft.simulation.dsol.simtime.SimTimeDouble>`